<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "ingestion_log".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "IngestionLog".
 *
 * Columns in table "ingestion_log" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $guid
 * @property string $date_added
 * @property string $date_updated
 * @property string $verb
 * @property string $request
 * @property string $status
 * @property string $message
 * @property string $partner_site_id
 * @property string $provider_id
 * @property string $practice_id
 * @property string $account_id
 * @property string $organization_id
 * @property string $provider_practice_id
 * @property string $manual_validation_id
 *
 */
abstract class BaseIngestionLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'ingestion_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'IngestionLog|IngestionLogs', $n);
    }

    public static function representingColumn()
    {
        return 'date_added';
    }

    public function rules()
    {
        return array(
            array('verb, request, guid', 'required'),
            array('verb', 'length', 'max'=>10),
            array('guid', 'length', 'max'=>36),
            array('status', 'length', 'max'=>1),
            array('partner_site_id, provider_id, practice_id, account_id, organization_id, provider_practice_id, manual_validation_id', 'length', 'max'=>11),
            array('date_added, date_updated, message', 'safe'),
            array('date_added, date_updated, status, message, provider_id, practice_id, account_id, organization_id, provider_practice_id, manual_validation_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, guid, date_added, date_updated, verb, request, status, message, partner_site_id, provider_id, practice_id, account_id, organization_id, provider_practice_id, manual_validation_id', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'guid' => Yii::t('app', 'GUID'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'verb' => Yii::t('app', 'Verb'),
            'request' => Yii::t('app', 'Request'),
            'status' => Yii::t('app', 'Status'),
            'message' => Yii::t('app', 'Message'),
            'partner_site_id' => Yii::t('app', 'Partner Site'),
            'provider_id' => Yii::t('app', 'Provider'),
            'practice_id' => Yii::t('app', 'Practice'),
            'account_id' => Yii::t('app', 'Account'),
            'organization_id' => Yii::t('app', 'Organization'),
            'provider_practice_id' => Yii::t('app', 'Provider Practice'),
            'manual_validation_id' => Yii::t('app', 'Manual Validation'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('guid', $this->guid, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);
        $criteria->compare('verb', $this->verb, true);
        $criteria->compare('request', $this->request, true);
        $criteria->compare('status', $this->status, true);
        $criteria->compare('message', $this->message, true);
        $criteria->compare('partner_site_id', $this->partner_site_id, true);
        $criteria->compare('provider_id', $this->provider_id, true);
        $criteria->compare('practice_id', $this->practice_id, true);
        $criteria->compare('account_id', $this->account_id, true);
        $criteria->compare('organization_id', $this->organization_id, true);
        $criteria->compare('provider_practice_id', $this->provider_practice, true);
        $criteria->compare('manual_validation_id', $this->manual_validation_id, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
